Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Class AbstractGroupMarker

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.AbstractGroupMarker

All Implemented Interfaces:
  IContributionItem

Direct Known Subclasses:
  GroupMarker, Separator

public abstract class AbstractGroupMarker
extends ContributionItem

Abstract superclass for group marker classes.

This class is not intended to be subclassed outside the framework.

Constructor Summary
`protected` | `AbstractGroupMarker()` Constructor for use by subclasses.
`protected` | `AbstractGroupMarker(String groupName)` Create a new group marker with the given name.

Method Summary
`String` | `getGroupName()` Returns the group name.
`boolean` | `isGroupMarker()` The `AbstractGroupMarker` implementation of this `IContributionItem` method returns `true` iff the id is not `null`.

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isSeparator, isVisible, saveWidgetState, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractGroupMarker

    protected AbstractGroupMarker()

  Constructor for use by subclasses.

### AbstractGroupMarker

    protected AbstractGroupMarker(String groupName)

  Create a new group marker with the given name. The group name must not be `null` or the empty string. The group name is also used as the item id.

Parameters:
  `groupName` - the name of the group

Method Detail

### getGroupName

    public String getGroupName()

  Returns the group name.

  Returns:
    the group name

### isGroupMarker

    public boolean isGroupMarker()

  The `AbstractGroupMarker` implementation of this `IContributionItem` method returns `true` iff the id is not `null`. Subclasses may override.

  Specified by:
    `isGroupMarker` in interface `IContributionItem`
  Overrides:
    `isGroupMarker` in class `ContributionItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.